import sqlite3

# alustetaan tietokantayhteys ja -kursori
con = sqlite3.connect("tietokanta.db")
cur = con.cursor()

def tykkaa(id, cur):
    cur.execute("INSERT INTO tykkaykset (ruokaid) VALUES (?)", (id,))
    con.commit()

def haetykkaykset(id, cur):
    res = cur.execute("SELECT COUNT(*) FROM tykkaykset WHERE ruokaid = (?)", (id,))
    # data saadaan taas ännikössä
    return res.fetchone()[0]
    
# haetaan tietoja
pvm = '2025-03-24'
#TODO: päivämäärän interpoloiminen lausekkeeseen
paivanruuat = cur.execute("SELECT id, ruoka FROM ateria WHERE paiva LIKE '2025-03-24%'").fetchall()

while True:
    valid_ids = []
    for ruokatuple in paivanruuat:
        # data saadaan änniköissä (engl. tuple)
        id = ruokatuple[0]
        valid_ids.append(id)
        ruoka = ruokatuple[1]
        #print(id)
        print(f"[{str(id)}] {ruoka}")
        print(f"Tykkäyksiä: {str(haetykkaykset(id, cur))}")
    tulos = input("Kirjoita q poistuaksesi tai ruuan id tykätäksesi:\n")
    if(tulos == "q"):
        break

    try:
        tulos = int(tulos)
    except ValueError:
        tulos = -1
    if(tulos in valid_ids):
        tykkaa(tulos, cur)
    else:
        print("syöte ei ollut validi!")
# lopuksi
con.close()
